
<div class="row">
  <div class="col-12 d-flex bd-highlight">
    <div class="flex-grow-1 bd-highlight">
      <!-- <div class="title-warpper"> -->
        <div class="row">
          <div class="col-12">
              <span class="acount-header">ข้อมูลประกอบการให้ความเห็น</span>
          </div>
          <div class="col-12">
            <span class="header-detail">สามารถจัดการข้อมูลประกอบการให้ความเห็นของสายงานบริหารการเงินตามข้อมูลที่เเสดงด้านล่าง</span>
          </div>
        </div>
      <!-- </div> -->
    </div>
    <div class="bd-highlight" style="text-align: right; width: 70vw;" *ngIf="!viewStatus">
      <button type="button" class="btn btn-back" (click)="backpage()">ย้อนกลับ</button>
      <button type="button" class="btn btn-save" (click)="saveDataAll()" [disabled]="!savemode ? 'disabled' : ''">บันทึก</button>
    </div>
    <div class="bd-highlight" style="text-align: right; width: 70vw;" *ngIf="viewStatus">
      <button type="button" class="btn btn-save" (click)="viewStatus = !viewStatus"><img src="assets/img/edit_white.svg"> แก้ไขข้อมูล</button>
    </div>

  </div>
</div>
<!-- ----------------------------------------------------------- -->

<br /><br />
<div>
  <a class="text-header"><b>ข้อมูลประกอบการให้ความเห็นของสายงานบริหารการเงิน</b></a>
</div>
<br />
<!-- viewStatus === false ---------------------------------------------------------------------------------------------------- -->
<div [ngStyle]="{'display': viewStatus === false ? '' : 'none' }">
  <!-- Form input data dataAccounting -->
  <div class="card border-light" style="width: 100%;">
    <div class="card-body">
      <div class="row">
        <div class="col-8 mt-1" style="vertical-align: bottom;" >
          <a class="text-header-table" style="font-size: 18px;">การบัญชี, งบประมาณเบิกจ่าย</a>
        </div>
        <div class="col-4" style="text-align: right;">
          <button type="button" class="btn btn-add-table" (click)="addAccounting()">
            <img src="../../../../../assets/img/add_white.svg" style=" height: 18px; width: 18px;"> เพิ่มข้อมูล</button>
        </div>
        <div class="col-12">
          <hr>
        </div>
      </div>
      <div [ngStyle]="{'display': showAccounting === false ? 'none' : '' }">
        <div style="padding: 1rem; padding-bottom: 0rem; padding-top: 0rem;">
          <table class="table table-responsives" style="align-items: center;">
            <thead>
              <tr class="row">
                <th class="col-11"><p class="acount-header_tb"><b>เรื่อง</b></p></th>
                <th class="col-1"></th>
              </tr>
            </thead>
            <tbody cdkDropList class="example-list" (cdkDropListDropped)="AccountingDrop($event)" >
              <tr *ngFor="let dataAccount of dataFinancialManagement.budget; index as index" class="row">
                <td class="col-11">
                  <!-- <input class="form-control" placeholder="ระบุการบัญชี, งบประมาณและเบิกจ่าย" [(ngModel)]="dataAccount.topic" (ngModelChange)="checkValueInput()" /> -->
                  <textarea appTextareaAutoresize autocomplete="off" class="form-control example" placeholder="ระบุการบัญชี, งบประมาณและเบิกจ่าย" [(ngModel)]="dataAccount.topic" (ngModelChange)="checkValueInput()"
                  ></textarea>
                </td>
                <td  class="col-1">
                  <div style="padding-top: 0.75vw;">
                    <a class="delete-btn" (click)="deleteAccounting(index, dataAccount.id)">ลบข้อมูล</a>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="row" style="align-items: center; padding-left: 1.5vw; height:25px;">
          <div class="col-12" style="text-align: right;">
            <button type="button" class="btn btn-add-table" (click)="addAccounting()">
              <img src="../../../../../assets/img/add_white.svg" style=" height: 18px; width: 18px;"> เพิ่มข้อมูล</button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- End Form input data dataAccounting -->

  <br />

  <!-- Form input data dataEvaluation -->
  <div class="card border-light" style="width: 100%;">
    <div class="card-body">
      <div class="row">
        <div class="col-8 mt-1">
          <a class="text-header-table" style="font-size: 18px;">การวัดผลงานภายหลังออกผลิตภัณฑ์</a>
        </div>
        <div class="col-4" style="text-align: right;">
          <button type="button" class="btn btn-add-table" (click)="addEvaluation()">
            <img src="../../../../../assets/img/add_white.svg" style=" height: 18px; width: 18px;"> เพิ่มข้อมูล</button>
        </div>
        <div class="col-12">
          <hr>
        </div>
      </div>
      <div [ngStyle]="{'display': showEvaluation === false ? 'none' : '' }">
        <div style="padding: 1rem; padding-bottom: 0rem; padding-top: 0rem;">
          <table class="table table-responsives">
            <thead>
              <tr class="row">
                <th class="col-11"><p class="acount-header_tb"><b>เรื่อง</b></p></th>
                <th class="col-1"></th>
              </tr>
            </thead>
            <tbody cdkDropList class="example-list" (cdkDropListDropped)="EvaluationDrop($event)">
              <tr *ngFor="let evaluation of dataFinancialManagement.performance; index as index" class="row">
                <td class="col-11">
                  <!-- <input class="form-control" placeholder="ระบุการวัดผลงานภายหลังออกผลิตภัณฑ์" [(ngModel)]="evaluation.topic" (ngModelChange)="checkValueInput()" /> -->
                  <textarea appTextareaAutoresize autocomplete="off" class="form-control example" placeholder="ระบุการวัดผลงานภายหลังออกผลิตภัณฑ์" [(ngModel)]="evaluation.topic" (ngModelChange)="checkValueInput()"></textarea>
                </td>
                <td  class="col-1">
                  <div style="padding-top: 0.75vw;">
                    <a class="delete-btn" (click)="deleteEvaluation(index, evaluation.id)">ลบข้อมูล</a>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="row" style="align-items: center; padding-left: 1.5vw; height:25px;">
          <div class="col-12" style="text-align: right;">
            <button type="button" class="btn btn-add-table" (click)="addEvaluation()">
              <img src="../../../../../assets/img/add_white.svg" style=" height: 18px; width: 18px;"> เพิ่มข้อมูล</button>
          </div>
        </div>
      </div>
    </div>
  </div>
    <!-- End Form input data dataEvaluation -->

    <br />

  <!-- Form input data dataGovernance (DG) -->
  <div class="card border-light" style="width: 100%;">
    <div class="card-body">
      <div class="row">
        <div class="col-8 mt-1">
          <a class="text-header-table" style="font-size: 18px;">Data Governance (DG)</a>
        </div>
        <div class="col-4" style="text-align: right;">
          <button type="button" class="btn btn-add-table" (click)="addGovernance()">
            <img src="../../../../../assets/img/add_white.svg" style=" height: 18px; width: 18px;"> เพิ่มข้อมูล</button>
        </div>
        <div class="col-12">
          <hr>
        </div>
      </div>
      <div [ngStyle]="{'display': showGovernance === false ? 'none' : '' }">
        <div style="padding: 1rem; padding-bottom: 0rem; padding-top: 0rem;">
          <table class="table table-responsives">
            <thead>
              <tr class="row">
                <th class="col-11"><p class="acount-header_tb"><b>เรื่อง</b></p></th>
                <th class="col-1"></th>
              </tr>
            </thead>
            <tbody cdkDropList class="example-list" (cdkDropListDropped)="GovernanceDrop($event)">
              <tr *ngFor="let governance of dataFinancialManagement.governance; index as index" class="row">
                <td class="col-11">
                  <!-- <input class="form-control" placeholder="ระบุ Data Governance (DG)" [(ngModel)]="governance.topic" (ngModelChange)="checkValueInput()" /> -->
                  <textarea appTextareaAutoresize autocomplete="off" class="form-control example" placeholder="ระบุ Data Governance (DG)" [(ngModel)]="governance.topic" (ngModelChange)="checkValueInput()"></textarea>
                </td>
                <td class="col-1">
                  <div style="padding-top: 0.75vw;">
                    <a class="delete-btn" (click)="deleteGovernance(index, governance.id)">ลบข้อมูล</a>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <div class="row" style="align-items: center; padding-left: 1.5vw; height:25px;">
          <div class="col-12" style="text-align: right;">
            <button type="button" class="btn btn-add-table" (click)="addGovernance()">
              <img src="../../../../../assets/img/add_white.svg" style=" height: 18px; width: 18px;"> เพิ่มข้อมูล</button>
          </div>
        </div>
      </div>
    </div>
  </div>
    <!-- End Form input data dataEvaluation -->
</div>
<!--  -->
<!-- viewStatus === true --------------------------------------------------------------------------------------------------- -->
<div [ngStyle]="{'display': viewStatus === true ? '' : 'none' }">
  <!-- Form input data dataAccounting -->
  <div class="card border-light" style="width: 100%;">
    <div class="card-body">
      <div class="row">
        <div class="col-8 mt-1" style="vertical-align: bottom;" >
          <a class="text-header-table" style="font-size: 18px;">การบัญชี, งบประมาณเบิกจ่าย</a>
        </div>
        <div class="col-12">
          <hr>
        </div>
      </div>
      <div [ngStyle]="{'display': showAccounting === false ? 'none' : '' }">
        <div style="padding: 1rem; padding-bottom: 0rem; padding-top: 0rem;">
          <table class="table table-responsives-view">
            <thead>
              <tr class="row">
                <th class="col-12"><p class="acount-header_tb"><b>เรื่อง</b></p></th>
              </tr>
            </thead>
            <tbody cdkDropList class="example-list" (cdkDropListDropped)="AccountingDrop($event)" >
              <tr *ngFor="let dataAccount of dataFinancialManagement.budget; index as index" class="row">
                <td class="col-12"> 
                  {{dataAccount.topic}}
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <!-- End Form input data dataAccounting -->

  <br />

  <!-- Form input data dataEvaluation -->
  <div class="card border-light" style="width: 100%;">
    <div class="card-body">
      <div class="row">
        <div class="col-8 mt-1">
          <a class="text-header-table" style="font-size: 18px;">การวัดผลงานภายหลังออกผลิตภัณฑ์</a>
        </div>
        <div class="col-12">
          <hr>
        </div>
      </div>
      <div [ngStyle]="{'display': showEvaluation === false ? 'none' : '' }">
        <div style="padding: 1rem; padding-bottom: 0rem; padding-top: 0rem;">
          <table class="table table-responsives-view">
            <thead>
              <tr class="row">
                <th class="col-12"><p class="acount-header_tb"><b>เรื่อง</b></p></th>
              </tr>
            </thead>
            <tbody cdkDropList class="example-list" (cdkDropListDropped)="EvaluationDrop($event)">
              <tr *ngFor="let evaluation of dataFinancialManagement.performance; index as index" class="row">
                <td class="col-12">
                  {{evaluation.topic}}
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
    <!-- End Form input data dataEvaluation -->

    <br />

  <!-- Form input data dataGovernance (DG) -->
  <div class="card border-light" style="width: 100%;">
    <div class="card-body">
      <div class="row">
        <div class="col-8 mt-1">
          <a class="text-header-table" style="font-size: 18px;">Data Governance (DG)</a>
        </div>
        <div class="col-12">
          <hr>
        </div>
      </div>
      <div [ngStyle]="{'display': showGovernance === false ? 'none' : '' }">
        <div style="padding: 1rem; padding-bottom: 0rem; padding-top: 0rem;">
          <table class="table table-responsives-view">
            <thead>
              <tr class="row">
                <th class="col-12"><p class="acount-header_tb"><b>เรื่อง</b></p></th>
              </tr>
            </thead>
            <tbody cdkDropList class="example-list" (cdkDropListDropped)="GovernanceDrop($event)">
              <tr *ngFor="let governance of dataFinancialManagement.governance; index as index" class="row">
                <td class="col-12">
                  {{governance.topic}}
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
    <!-- End Form input data dataEvaluation -->
</div>
<!--  -->
  <br /><br />


